> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/deprecated-version-1.0/hair-color-uniformness.md).

# Hair Color Uniformness

Haut.AI provides an AI algorithm that estimates the level of uniformness in hair color. Response scheme for the deprecated Hair Metrics 1.0.

## **Description**

This metric shows how uniform the hair color is. The higher the value for this parameter, the greater the uniformness of the hair color.

**`"algorithm_tech_name": "hair_color_uniformness"`**

## `area_name`

The algorithm returns metrics for the following area:

* `hair`

## `main_metric`

The main metric is an overall score indicating the hair color uniformness score for `area_name`

```javascript
"main_metric": {
                "value": 90,
                "widget_type": "bad_good_line",
                "name": "Hair Color Uniformness",
                "tech_name": "hair_color_uniformness",
                "widget_meta": null
            },
```

![](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MWxBX_zB4FnflOpyBGO%2F-MiR_5V3nq8FGSCAlM0O%2F-MiR_LRHmZpGIxOo4dyC%2F%D0%94%D0%BE%D0%BA%206_6.jpeg?alt=media\&token=74c536e5-ad13-42ba-8a1d-e3983b34f41f)

* **`value`** The color uniformness score ranges from `[0,100]`*. The higher the value of this parameter, the more uniform the color of the hair.* The uniformness can be divided into six classes based on `value`:
  * `(90,100]` - Completely uniform
  * `(80,90]` - Highly uniform
  * `(70,80]` - Mostly uniform
  * `(50,70]` - Average unevenness
  * `(30, 50]` - Mostly uneven
  * `[0,30]` - Completely uneven
* `"widget_type": "bad_good_line"` indicates that a higher value corresponds to even hair color
* `"name": "Hair Color Uniformness"`
* `"tech_name": "hair_color_uniformness"`

## `sub_metrics`

**None** **-** there are no sub-metrics for hair color uniformness

## `masks_restored`

**None** **-** there are no restored masks for hair color uniformness

## `masks_original`

**None** **-** there are no original masks for hair color uniformness

## **Example (JSON)**

{% file src="/files/-MgFUe2TNxcl4\_eoGS0Y" %}

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/deprecated-version-1.0/hair-color-uniformness.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
